# class hk_kdesimplereport

KDE Widget to design and execute reports. More...

Definition | `#include <hk_kdeclasses/hk_kdeclasses/hk_kdesimplereport.h>`
Inherits | QWidget (unknown) [public ], hk_report [public ]
List of all Methods

Annotated List
Files
Globals
Hierarchy
Index

#### Public Methods

- hk_kdesimplereport ( QWidget* parent = 0, const char* name = 0, WFlags fl = 0 )
- virtual ~hk_kdesimplereport ()
- void set_kdereport (hk_kdereport*)
- void set_autoclose (bool c)
- void set_field2create (bool)
- bool field2create (void)
- void set_focus (QWidget*,hk_kdereportsection*)
- void clearfocus (void)
- hk_kdeformfocus* focus (void)
- hk_kdeformfocus* formfocus (void)
- virtual bool load_report (const hk_string& name="")
- virtual bool set_mode (enum_mode)
- hk_kdereport* kdereport (void)
- virtual void script_error (hk_visible*, hk_interpreter::enum_action)
- bool ctrl_key_pressed (void) const

#### Public Slots

- void field_created (void)
- void set_focus2property (void)
- void set_sections (void)
- void show_property (void)
- void set_for_all (enum_bulkoperation)

#### Signals

- void closereport (void)
- void signalfield_created (void)

#### Protected Types

- enum enum_adjust {al,ar,at,ab,sminw,smaxw,sminh,smaxh,smaxs,smins}

#### Protected Methods

- virtual hk_reportsection* widget_specific_new_section (void)
- virtual void keyPressEvent ( QKeyEvent * event )
- virtual void keyReleaseEvent ( QKeyEvent * event)
- virtual void widget_specific_after_loadreport (void)
- virtual bool widget_specific_before_modechanges (enum_mode)
- bool eventFilter (QObject* object,QEvent* event)
- bool reporteventFilter (QObject* object,QEvent* event)
- virtual void before_source_vanishes (void)
- virtual void database_has_vanished (void)
- virtual void widget_specific_modechanges (enum_mode s)
- virtual void widget_specific_before_execute (void)
- virtual void widget_specific_after_execute (void)
- virtual bool widget_specific_after_new_page (void)
- virtual void widget_specific_presentationresize (void)
- virtual void widget_specific_backgroundcolour_changed (const hk_colour&)
- virtual void widget_specific_foregroundcolour_changed (const hk_colour&)
- virtual void widget_specific_fieldresize (hk_visible* v)
- void mousemenu (QMouseEvent* m)
- void adjust_widgets (enum_adjust)
- void resize_widget (QWidget*,enum_adjust,int minw,int maxw,int minh,int maxh,int minx,int maxx,int miny,int maxy)
- void repaint_focus (void)

#### Protected Slots

- void printing_cancelled (void)
- void delete_widgets (void)
- void copy_widgets (void)
- void paste_widgets (void)
- void cut_widgets (void)
- void enable_actions (void)

## Detailed Description

hk_kdesimplereport is a KDE widget to design and execute reports. Just set the database with hk_presentation::set_database. Load existing reports with hk_report::load_report. hk_kdesimplereport does not include a preview window. In mode 'design' you can design your widget. For interactive use it is better to use hk_kdereport because it provides toolbars and a preview window.

hk_kdesimplereport ( QWidget* parent = 0, const char* name = 0, WFlags fl = 0 )

### hk_kdesimplereport

~hk_kdesimplereport ()

### ~hk_kdesimplereport

[virtual]

void set_kdereport (hk_kdereport*)

### set_kdereport

void set_autoclose (bool c)

### set_autoclose

void set_field2create (bool)

### set_field2create

bool field2create (void)

### field2create

void set_focus (QWidget*,hk_kdereportsection*)

### set_focus

void clearfocus (void)

### clearfocus

hk_kdeformfocus* focus (void)

### focus

hk_kdeformfocus* formfocus (void)

### formfocus

bool load_report (const hk_string& name="")

### load_report

[virtual]

Reimplemented from hk_report.

bool set_mode (enum_mode)

### set_mode

[virtual]

Reimplemented from hk_report.

hk_kdereport* kdereport (void)

### kdereport

void script_error (hk_visible*, hk_interpreter::enum_action)

### script_error

[virtual]

Reimplemented from hk_presentation.

bool ctrl_key_pressed (void)

### ctrl_key_pressed

[const]

void closereport (void)

### closereport

[signal]

void signalfield_created (void)

### signalfield_created

[signal]

void field_created (void)

### field_created

[slot]

void set_focus2property (void)

### set_focus2property

[slot]

void set_sections (void)

### set_sections

[slot]

void show_property (void)

### show_property

[slot]

void set_for_all (enum_bulkoperation)

### set_for_all

[slot]

hk_reportsection* widget_specific_new_section (void)

### widget_specific_new_section

[protected virtual]

Reimplemented from hk_report.

void keyPressEvent ( QKeyEvent * event )

### keyPressEvent

[protected virtual]

void keyReleaseEvent ( QKeyEvent * event)

### keyReleaseEvent

[protected virtual]

void widget_specific_after_loadreport (void)

### widget_specific_after_loadreport

[protected virtual]

Reimplemented from hk_report.

bool widget_specific_before_modechanges (enum_mode)

### widget_specific_before_modechanges

[protected virtual]

bool eventFilter (QObject* object,QEvent* event)

### eventFilter

[protected]

bool reporteventFilter (QObject* object,QEvent* event)

### reporteventFilter

[protected]

void before_source_vanishes (void)

### before_source_vanishes

[protected virtual]

Reimplemented from hk_presentation.

void database_has_vanished (void)

### database_has_vanished

[protected virtual]

Reimplemented from hk_presentation.

void widget_specific_modechanges (enum_mode s)

### widget_specific_modechanges

[protected virtual]

void widget_specific_before_execute (void)

### widget_specific_before_execute

[protected virtual]

Reimplemented from hk_report.

void widget_specific_after_execute (void)

### widget_specific_after_execute

[protected virtual]

Reimplemented from hk_report.

bool widget_specific_after_new_page (void)

### widget_specific_after_new_page

[protected virtual]

Reimplemented from hk_report.

void widget_specific_presentationresize (void)

### widget_specific_presentationresize

[protected virtual]

Reimplemented from hk_presentation.

void widget_specific_backgroundcolour_changed (const hk_colour&)

### widget_specific_backgroundcolour_changed

[protected virtual]

void widget_specific_foregroundcolour_changed (const hk_colour&)

### widget_specific_foregroundcolour_changed

[protected virtual]

void widget_specific_fieldresize (hk_visible* v)

### widget_specific_fieldresize

[protected virtual]

Reimplemented from hk_presentation.

void mousemenu (QMouseEvent* m)

### mousemenu

[protected]

enum enum_adjust {al,ar,at,ab,sminw,smaxw,sminh,smaxh,smaxs,smins}

### enum_adjust

[protected]

void adjust_widgets (enum_adjust)

### adjust_widgets

[protected]

void resize_widget (QWidget*,enum_adjust,int minw,int maxw,int minh,int maxh,int minx,int maxx,int miny,int maxy)

### resize_widget

[protected]

void repaint_focus (void)

### repaint_focus

[protected]

void printing_cancelled (void)

### printing_cancelled

[protected slots slot]

void delete_widgets (void)

### delete_widgets

[protected slots slot]

void copy_widgets (void)

### copy_widgets

[protected slots slot]

void paste_widgets (void)

### paste_widgets

[protected slots slot]

void cut_widgets (void)

### cut_widgets

[protected slots slot]

void enable_actions (void)

### enable_actions

[protected slots slot]

- Version: $Revision: 1.24 $
- Author: Horst Knorr (hk_classes@knoda.org)
- Generated: horst on horstnotebook on Tue Mar 30 19:06:43 2004, using kdoc 2.0a54.